ifname<- "DataLondonOlympicDecathlon.csv"
alldata <- read.delim(ifname, row.names=1, header=T, sep=",", as.is=TRUE, strip.white=FALSE)
#[0]------
DataMatrix<- alldata[,-c(1,2)]
scaleData<-scale(DataMatrix)
#[1]------
DataFrame01<-data.frame(scaleData)
mRegression<-lm(Points~.,data=DataFrame01)
#[2]------
plot(resid(mRegression),xlab="Player number",ylab="Residual",
     main="Player number vs. residual")
#plot(mRegression$residuals,xlab="Player number",ylab="Residual",
#     main="Player number vs. residual"))
abline(h=0)
qqnorm(resid(mRegression)); qqline(resid(mRegression))